<?php
include('config.php');
session_start();
$my_campus = $_SESSION['campus'];

if($_SERVER["REQUEST_METHOD"] == "POST")
{   
    $topic = $_POST["topic"];
    $title = $_POST["title"];
    $instructions = $_POST["instructions"];
    $link = $_POST["link"];
    $due_date = $_POST['due_date'];
    $converted_due_date = date("m-d-Y", strtotime($due_date));
    $due_time = $_POST["due_time"];
    $converted_due_time = date("h:i A", strtotime($due_time));

    if($converted_due_date == "01-01-1970" || $converted_due_date == "" || $converted_due_time == "12:00 AM" || $converted_due_time == ""){
        $converted_due_date = "None";
        $converted_due_time = "None";
    }
    if($instructions == ""){
        $instructions = "None";
    }

    // Get the current time adn date
    date_default_timezone_set('Asia/Manila');
    $date = date("m-d-Y");
    $time = date("h:i A");
    
    $sql = "INSERT INTO evaluations (`Topic`, `Instructions`, `Link`, `Due_Date`, `Due_Time`, `Date_Posted`, `Time_Posted`, `Campus`) VALUES ('$topic', '$instructions', '$link', '$converted_due_date', '$converted_due_time', '$date', '$time', '$my_campus')";
    if (mysqli_query($db, $sql)){
            $sql_mail = "SELECT * FROM members WHERE `Campus`='$my_campus' AND `Department/Office`!='admin'";
            if($result_mail = $db->query($sql_mail)){
                if($result_mail->num_rows > 0){
                    while($row_mail = $result_mail->fetch_array()){
                        $member_mail = $row_mail['Email'];
                        $lname = $row_mail['Last_Name'];
                		$fname = $row_mail['First_Name'];
                		$middle_in = $row_mail['Middle_Initial'];
                        
                        // ==========================EMAIL VERIFICATION====================================
					    $to = $member_mail;
					    $from = "minsupmeoffice@gmail.com";
                        $subject = "MINDORO STATE UNIVERSITY - PME OFFICE";
                        $full_name = "".$fname. " " .$middle_in. " " .$lname."";
                        
                        $message = 'Good Day! '.$full_name.',<br>';
                        $message .= "Admin posted an evaluation in PME Website entitled '.$topic.'.  Kindly visit the list of your evaluations. Thank you.<br><br>";
                        $message .= "Website link:<br>";
                        $message .= "http://www.minsu-pme-office.store/<br>";
                        
                        
                        // Always set content-type when sending HTML email
                        $headers = "";
                        $headers .= 'From: ' . $from . "\r\n";
                        $headers .= "MIME-Version: 1.0" . "\r\n";
                        $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
                        
                        mail($to,$subject,$message,$headers);
                        
                        // ============================END=================================
                    }
                }
            }
        echo '<script>alert("Evaluation was posted successfully!");</script>';
        echo '<script>document.location = "evaluations.php"</script>';
    }else{
        echo mysqli_error($db);
    }
    
}
?>